// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      Mono Runtime Version: 2.0.50727.42
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.AddinAuthoring {
    
    
    public partial class AddinOptionPanelWidget {
        
        private Gtk.VBox vbox2;
        
        private Gtk.CheckButton checkEnable;
        
        private Gtk.HSeparator hseparator1;
        
        private MonoDevelop.AddinAuthoring.AddinFeatureWidget optionsWidget;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.AddinAuthoring.AddinOptionPanelWidget
            Stetic.BinContainer.Attach(this);
            this.Name = "MonoDevelop.AddinAuthoring.AddinOptionPanelWidget";
            // Container child MonoDevelop.AddinAuthoring.AddinOptionPanelWidget.Gtk.Container+ContainerChild
            this.vbox2 = new Gtk.VBox();
            this.vbox2.Name = "vbox2";
            this.vbox2.Spacing = 6;
            // Container child vbox2.Gtk.Box+BoxChild
            this.checkEnable = new Gtk.CheckButton();
            this.checkEnable.CanFocus = true;
            this.checkEnable.Name = "checkEnable";
            this.checkEnable.Label = Mono.Addins.AddinManager.CurrentLocalizer.GetString("Enable extensibility features");
            this.checkEnable.DrawIndicator = true;
            this.checkEnable.UseUnderline = true;
            this.vbox2.Add(this.checkEnable);
            Gtk.Box.BoxChild w1 = ((Gtk.Box.BoxChild)(this.vbox2[this.checkEnable]));
            w1.Position = 0;
            w1.Expand = false;
            w1.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.hseparator1 = new Gtk.HSeparator();
            this.hseparator1.Name = "hseparator1";
            this.vbox2.Add(this.hseparator1);
            Gtk.Box.BoxChild w2 = ((Gtk.Box.BoxChild)(this.vbox2[this.hseparator1]));
            w2.Position = 1;
            w2.Expand = false;
            w2.Fill = false;
            // Container child vbox2.Gtk.Box+BoxChild
            this.optionsWidget = new MonoDevelop.AddinAuthoring.AddinFeatureWidget();
            this.optionsWidget.Events = ((Gdk.EventMask)(256));
            this.optionsWidget.Name = "optionsWidget";
            this.vbox2.Add(this.optionsWidget);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.vbox2[this.optionsWidget]));
            w3.Position = 2;
            w3.Expand = false;
            w3.Fill = false;
            this.Add(this.vbox2);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            this.Show();
            this.checkEnable.Clicked += new System.EventHandler(this.OnCheckEnableClicked);
        }
    }
}
